using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace test
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            double[] plate = new double[n];
            double[] procenti = new double[n];
            for (int i = 0; i < n; i++)
            {
                string[] s = Console.ReadLine().Split();
                plate[i] = double.Parse(s[0]);
                procenti[i] = double.Parse(s[1]);
            }
            double najveciDoprinos = -1;
            for (int i = 0; i < n; i++)
            {
                double zbir = 0;
                for (int j = 0; j < n; j++)
                {
                    if (procenti[j] >= procenti[i])
                    {
                        zbir += ((procenti[i] * plate[j]) / 100);
                    }
                }
                if (zbir > najveciDoprinos)
                {
                    najveciDoprinos = zbir;
                }
            }
            Console.WriteLine(najveciDoprinos);
        }
    }
}